<!doctype html>
<html lang="en">

<head>
  <link rel="manifest" href="./manifest.json">
  <meta charset="utf-8">
  <title>NotificationFcm</title>
  <base href="/">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" type="image/x-icon" href="favicon.ico">
</head>

<body>
  <script>
    if ('serviceWorker' in navigator) {
      navigator.serviceWorker.register('./firebase-messaging-sw.js')
        .then((registration) => {
          console.log('Service Worker registered with scope:', registration.scope);
        })
        .catch((error) => {
          console.error('Error registering Service Worker:', error);
        });
    }
  </script>
  <app-root></app-root>
</body>

</html>

<!-- this is refference Part 1 and part 2-->
<!-- https://dev.to/amalja0/how-to-integrating-firebase-cloud-messaging-angular-expressjs-2-create-and-integrate-angular-with-firebase-2f1e -->